curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/pois \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/pois"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/pois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "local_pois",
"results": [
{
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
}
]
}Local POIs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.
-90 <= x <= 90The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.
-180 <= x <= 180Query Parameters
A list of unique identifiers for the location. The ids are valid only for 8 hours.
1 - 20 elementsThe search language preference. The 2 or more character language code for which the search results are provided.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.
es-AR, en-AU, de-AT, nl-BE, fr-BE, pt-BR, en-CA, fr-CA, es-CL, da-DK, fi-FI, fr-FR, de-DE, el-GR, zh-HK, en-IN, en-ID, it-IT, ja-JP, ko-KR, en-MY, es-MX, nl-NL, en-NZ, no-NO, zh-CN, pl-PL, en-PH, ru-RU, en-ZA, es-ES, sv-SE, fr-CH, de-CH, zh-TW, tr-TR, en-GB, en-US, es-US The measurement units. The following values are supported:
- metric - The standardized measurement system (km, celcius…)
- imperial - The British Imperial system of units (mile, fahrenheit…)
imperial, metric